Subject: Re: bootloading 2.2.1 kernel from RISC OS

From: John Ballance <[email-masked]>
Date: Tue, 23 Feb 1999 17:12:14

On Tue, 23 Feb, Russell King - ARM Linux Admin  wrote:
> John Ballance writes:
> > I always get this invalid compressed data message
> 
> I'm thinking that this is a problem with the compiler or binutils.  My
> kernels
are OK, and if I send my kernel to someone with this problem, they have no
> problems with my zImage.

indeed.. but what??.. i've built egcs1.1 and binutils 2.9.0.15 (or whatever),

as pointed to by phil b.. compiled as suggested.. no go

> 
> > n.b. is there a good reason why a kernel patchad for armlinux will
> nolonger
> compile for i386 without error?
> 
> What is the error?

do I understand that this means you have to 'unpatch' a tree before
compiling i386?.. if so mea culpa

I had 'naively' assumed that I could just reconfigure the tree to or from arm
and
recompile (make menuconfig...)

> 
> > surely it would be wise to put the patches in using version switched
> > conditionals, rather than (apparently) wholesale change.. a merge to
> > the full linux tree would then take account of most (i presume) kernel
> > upissuing matters...
> 
> I take care of the patches - patching a kernel is not a one-way affair -
> so long as you have the original patch around, it's easy to remove it.
> conditionals would just make a mess of everything and make it unreadable.
>    _____
>   |_____| ------------------------------------------------- --- --- -
>   |   |        Russell King       [email-masked]      --- ---
>   | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
>   |  - -                                                      --- - -
>   /   |               THE developer of ARM Linux              | | /|\
>  /  | | |                                                     ---  |
>      - -  -------------------------------------------------  /\\\  |

-- 

      Add 11 ukp (UK) carriage and VAT to all quoted prices
      
                      John Ballance
 Castle Technology, Ore Trading Estate, Woodbridge Road, Framlingham,
Suffolk UK IP13 9LL  Tel  44 (0) 1728 621 631, Fax  44 (0) 1728 621 179
web: http://www.castle-technology.co.uk or http://www.castlet.demon.co.uk

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 23 Feb 1999 19:49:41 +0000 (GMT)

> as pointed to by phil b.. compiled as suggested.. no go

I have no idea - all that I can say about the problem is that the uncompressor
does not think that the gzip'ed kernel image is valid for one reason or another.
Someone with this problem will have to investigate why this is.  As far as I am
concerned (my concern is the kernel at the moment), the problem is not the
kernel, nor the kernel source.

> compiling i386?.. if so mea culpa

No!  That's not the way it works.  The kernel has been designed to allow all
these architectures to exist without resorting to #ifdefs.  GCC/EGCS has the
idea of inline functions - these are used heavily by the kernel.  There is
actually a lot of inlined code in the include files, both in include/asm-*
and include/linux.

For instance, the page table manipulation as far as the 'normal' kernel code
is concerned is a three-level affair.  However, defining the correct constants
and inline functions you can collapse this down to a single level if you so wish
without modifing or replacing the existing code.

Again, what is the error?

> and recompile (make menuconfig...)

If you want to recompile my sources for x86, all you have to do is to:
1. make clean
2. change the ARCH := line in the top level make file and CROSS_COMPILE
3. make config
4. make dep
5. make clean
6. make zImage or make bzImage

PS, your mailer appears to be getting CC: lines to multiple people wrong.
This is what I'm seeing:

To: Russell King - ARM Linux Admin <[email-masked]>
CC: [email-masked]@vger.rutgers.edu

Since this is invalid (containing a '.' between the addresses), I have to
manually copy the CC: line each time, which makes it extremely annoying to
reply to.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]